Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.filter
Class ExclusionFilterCofig

    java.lang.Object
      com.sun.mdm.index.filter.ExclusionFilterCofig

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class ExclusionFilterCofig
extends java.lang.Object
implements ConfigurationInfo

The ExclusionFilterCofig class will parse the filter Config file.

See Also:
  Serialized Form

Constructor Summary
`ExclusionFilterCofig()` Creates a new instance of ExclusionFilterCofig

Method Summary
`int` | `finish()`
`java.util.ArrayList` | `getBlockingList()`
`java.util.ArrayList` | `getmatchingList()`
`java.lang.String` | `getModuleType()`
`java.util.ArrayList` | `getSbrList()`
`int` | `init()`
`void` | `parse(org.w3c.dom.Node node)` Method used to parse the Node.
`java.util.ArrayList` | `parseFlatFile(java.lang.String fileName, java.lang.String delimiter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExclusionFilterCofig

    public ExclusionFilterCofig()

  Creates a new instance of ExclusionFilterCofig

Method Detail

### finish

    public int finish()

  Description copied from interface: `ConfigurationInfo`
  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getBlockingList

    public java.util.ArrayList getBlockingList()

### getmatchingList

    public java.util.ArrayList getmatchingList()

### getModuleType

    public java.lang.String getModuleType()

  Description copied from interface: `ConfigurationInfo`
  Return String representing the module type

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    return String representing the module type

### getSbrList

    public java.util.ArrayList getSbrList()

### init

    public int init()

  Description copied from interface: `ConfigurationInfo`
  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Method used to parse the Node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - the root node of the filter Confg file.
  Throws:
    `ConfigurationException` - See ConfigurationInfo

### parseFlatFile

    public java.util.ArrayList parseFlatFile(java.lang.String fileName,
                                             java.lang.String delimiter)

  Parameters:
    `fileName` -
    `delimiter` -
  Returns:

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.